Bug 204289 - [patch] converters/p5-Text-Unidecode: Update to 1.27
Summary: [patch] converters/p5-Text-Unidecode: Update to 1.27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-04 16:04 UTC by Torsten Zühlsdorff
Modified: 2017-02-03 14:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tobez)


Attachments
patch with update to 1.27 (5.30 KB, patch)
2015-11-04 16:04 UTC, Torsten Zühlsdorff
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2015-11-04 16:04:25 UTC
Created attachment 162777 [details]
patch with update to 1.27

Hello,

attached a patch which closes the gap of 14 years between the version in the ports and the current one. 

I also defined a license.

QA:

portlint is fine.

poudriere builds fine on:
9.3 amd64 + i386
10.1 amd64 + i386
10.2 amd64 + i386
11-current r290334 amd64 + i386

make test is fine:
===>  Testing for p5-Text-Unidecode-1.27
cd /usr/ports/converters/p5-Text-Unidecode/work/Text-Unidecode-1.27/ && /usr/bin/env XDG_DATA_HOME=/usr/ports/converters/p5-Text-Unidecode/work  XDG_CONFIG_HOME=/usr/ports/converters/p5-Text-Unidecode/work  HOME=/usr/ports/converters/p5-Text-Unidecode/work NO_PIE=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444" /usr/bin/make DESTDIR=/usr/ports/converters/p5-Text-Unidecode/work/stage test
PERL_DL_NONLAZY=1 /usr/local/bin/perl5 "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00010_hello_world.t ........... ok   
t/00050_assert_perl_version.t ... ok   
t/00055_can_utf8.t .............. ok   
t/00100_can_binmode.t ........... ok   
t/00200_xbrace_syntax.t ......... ok   
t/00300_wideness.t .............. ok   
t/00400_just_load_module.t ...... ok   
t/00450_table_0x00.t ............ ok     
t/00500_test_loading.t .......... ok     
t/00510_load_many_tables.t ...... ok       
t/01000_note_incs.t ............. ok   
t/01500_generate_no_warnings.t .. ok     
t/02000_uniform_table_sizes.t ... ok       
t/03000_misc_unihan.t ........... ok   
t/04000_misc_errors_fixed.t ..... ok   
t/04010_misc_errors_fixed.t ..... ok     
t/05000_main.t .................. ok     
t/09900_bye.t ................... ok   
All tests successful.
Files=18, Tests=969,  1 wallclock secs ( 0.23 usr  0.03 sys +  0.56 cusr  0.14 csys =  0.97 CPU)
Result: PASS

Greetings,
Torsten
Comment 1 Vick Khera 2015-11-19 14:25:44 UTC
I would love to use this port. Can it get some TLC and the patch get applied?
Comment 2 Torsten Zühlsdorff 2015-11-20 09:43:59 UTC
(In reply to Vick Khera from comment #1)

> I would love to use this port. Can it get some TLC and the patch get applied?

Out of curiosity: what means TLC?
Comment 3 Vick Khera 2015-11-20 15:19:33 UTC
TLC = Tender Loving Care (aka some positive attention)
Comment 4 Torsten Zühlsdorff 2015-11-20 15:43:52 UTC
I forget to set the maintainter-approval? flag, but did this today.

In the worst case we can call for maintainer-timeout in 14 days and get therefore implicit approval to get the update committed.

You can also support which a test of the patch :) Positive reviews are always helpful! :)
Comment 5 Torsten Zühlsdorff 2015-12-14 16:14:31 UTC
I set the approval to + because of maintainer-timeout.
Comment 6 commit-hook freebsd_committer 2017-02-03 14:11:54 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Feb  3 14:10:41 UTC 2017
New revision: 433241
URL: https://svnweb.freebsd.org/changeset/ports/433241

Log:
  Update to 1.30

  - Add LICENSE
  - While I'm here, add NO_ARCH

  Changes:	http://search.cpan.org/dist/Text-Unidecode/ChangeLog
  PR:		204289
  Submitted by:	tz
  Approved by:	maintainer (timeout, 15 months)

Changes:
  head/converters/p5-Text-Unidecode/Makefile
  head/converters/p5-Text-Unidecode/distinfo
  head/converters/p5-Text-Unidecode/pkg-plist
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-03 14:17:52 UTC
Committed. Thanks!